<?php

// Finnish Language Module for joomlaXplorer (translated by Jarmo Kernen)
global $_VERSION;

$GLOBALS["charset"] = "iso-8859-1";
$GLOBALS["text_dir"] = "ltr"; // ('ltr' for left to right, 'rtl' for right to left)
$GLOBALS["date_fmt"] = "Y/m/d H:i";
$GLOBALS["error_msg"] = array(
	// error
	"error"			=> "VIRHE(ET)",
	"back"			=> "Palaa",
	
	// root
	"home"			=> "Koti hakemistoa ei ole, tarkista asetuksesi.",
	"abovehome"		=> "Nykyinen hakemisto ei saa olla kotihakemiston ylpuolella.",
	"targetabovehome"	=> "Kohdehakemisto ei saa olla kotihakemiston ylpuolella.",
	
	// exist
	"direxist"		=> "Tm hakemisto ei ole olemassa.",
	//"filedoesexist"	=> "This file already exists.",
	"fileexist"		=> "Tm tiedosto ei ole olemassa.",
	"itemdoesexist"		=> "Tm nimike on jo olemassa.",
	"itemexist"		=> "Tm nimike ei ole olemassa.",
	"targetexist"		=> "Kohdehakemisto ei ole olemassa.",
	"targetdoesexist"	=> "Kohdenimike on jo olemassa.",
	
	// open
	"opendir"		=> "Hakemistoa ei voida avata.",
	"readdir"		=> "Hakemistoa ei voida lukea.",
	
	// access
	"accessdir"		=> "Sinulla ei ole valtuuksia thn hakemistoon.",
	"accessfile"		=> "Sinulla ei ole valtuuksia thn tiedostoon.",
	"accessitem"		=> "Sinulla ei ole valtuuksia thn nimikkeeseen.",
	"accessfunc"		=> "Sinulla ei ole valtuuksia thn toimintoon.",
	"accesstarget"		=> "Sinulla ei ole valtuuksia kohdehakemistoon.",
	
	// actions
	"permread"		=> "Oikeuksien saanti eponnistui.",
	"permchange"		=> "Oikeuksien muutos eponnistui.",
	"openfile"		=> "Tiedoston avaaminen eponnistui.",
	"savefile"		=> "Tiedoston tallennus eponnistui.",
	"createfile"		=> "Tiedoston luonti eponnistui.",
	"createdir"		=> "Hakemiston luonti eponnistui.",
	"uploadfile"		=> "Tiedoston uploadaus eponnistui.",
	"copyitem"		=> "Kopionti eponnistui.",
	"moveitem"		=> "Siirto eponnistui.",
	"delitem"		=> "Poisto eponnistui.",
	"chpass"		=> "Salasanan vaihto eponnistui.",
	"deluser"		=> "Kyttjn poisto eponnistui.",
	"adduser"		=> "Kyttjn lisys eponnistui.",
	"saveuser"		=> "Kyttjn tallennus eponnistui.",
	"searchnothing"		=> "Sinun pit antaa jotain etsittv.",
	
	// misc
	"miscnofunc"		=> "Toiminto ei ole saatavilla.",
	"miscfilesize"		=> "Tiedosto ylitt maksimikoon.",
	"miscfilepart"		=> "Tiedosto uploadautui vain osittain.",
	"miscnoname"		=> "Anna nimi.",
	"miscselitems"		=> "Et ole valinnut yhtn nimikett.",
	"miscdelitems"		=> "Oletko varma ett haluat poistaa nm \"+num+\" nimikett?",
	"miscdeluser"		=> "Oletko varma ett haluat poistaa kyttjn '\"+user+\"'?",
	"miscnopassdiff"	=> "Uusi salasanasi ei eroa nykyisest.",
	"miscnopassmatch"	=> "Salasanat eivt tsm.",
	"miscfieldmissed"	=> "Ohitit trken kentn.",
	"miscnouserpass"	=> "Kyttjnimi tai salasana on vr.",
	"miscselfremove"	=> "Et voi poistaa itsesi.",
	"miscuserexist"		=> "Kyttj on jo olemassa.",
	"miscnofinduser"	=> "Kyttj ei lydy.",
	"extract_noarchive" => "The File is no extractable Archive.",
	"extract_unknowntype" => "Unknown Archive Type"
);
$GLOBALS["messages"] = array(
	// links
	"permlink"		=> "MUUTA OIKEUKSIA",
	"editlink"		=> "MUOKKAA",
	"downlink"		=> "DOWNLOAD",
	"uplink"		=> "YLS",
	"homelink"		=> "KOTI",
	"reloadlink"		=> "RELOAD",
	"copylink"		=> "KOPIOI",
	"movelink"		=> "SIIRR",
	"dellink"		=> "POISTA",
	"comprlink"		=> "ARKISTOI",
	"adminlink"		=> "HALLINTA",
	"logoutlink"		=> "POISTU",
	"uploadlink"		=> "UPLOAD",
	"searchlink"		=> "ETSI",
	"extractlink"	=> "Extract Archive",
	'chmodlink'		=> 'Change (chmod) Rights (Folder/File(s))', // new mic
	'mossysinfolink'	=> $_VERSION->PRODUCT.' System Information ('.$_VERSION->PRODUCT.', Server, PHP, mySQL)', // new mic
	'logolink'		=> 'Go to the joomlaXplorer Website (new window)', // new mic
	
	// list
	"nameheader"		=> "Nimi",
	"sizeheader"		=> "Koko",
	"typeheader"		=> "Tyyppi",
	"modifheader"		=> "Muutettu",
	"permheader"		=> "Oikeudet",
	"actionheader"		=> "Toiminnat",
	"pathheader"		=> "Polku",
	
	// buttons
	"btncancel"		=> "Peruuta",
	"btnsave"		=> "Tallenna",
	"btnchange"		=> "Muuta",
	"btnreset"		=> "Nollaa",
	"btnclose"		=> "Sulje",
	"btncreate"		=> "Luo",
	"btnsearch"		=> "Etsi",
	"btnupload"		=> "Upload",
	"btncopy"		=> "Kopioi",
	"btnmove"		=> "Siirr",
	"btnlogin"		=> "Kirjaudu",
	"btnlogout"		=> "Poistu",
	"btnadd"		=> "Lis",
	"btnedit"		=> "Muokka",
	"btnremove"		=> "Poista",
	
	// user messages, new in joomlaXplorer 1.3.0
	'renamelink'	=> 'RENAME',
	'confirm_delete_file' => 'Are you sure you want to delete this file? \\n%s',
	'success_delete_file' => 'Item(s) successfully deleted.',
	'success_rename_file' => 'The directory/file %s was successfully renamed to %s.',
	
	
	// actions
	"actdir"		=> "Hakemisto",
	"actperms"		=> "Muuta oikeuksia",
	"actedit"		=> "Muokkaa tiedostoa",
	"actsearchresults"	=> "Etsinnn tulokset",
	"actcopyitems"		=> "Kopioi nimikkeet",
	"actcopyfrom"		=> "Kopioi tlt /%s tnne /%s ",
	"actmoveitems"		=> "Siirr nimikkeet",
	"actmovefrom"		=> "Siirr tlt /%s tnne /%s ",
	"actlogin"		=> "Kirjaudu",
	"actloginheader"	=> "Kirjaudu kyttksesi joomlaXploreria",
	"actadmin"		=> "Hallinta",
	"actchpwd"		=> "Muuta salasanaa",
	"actusers"		=> "Kyttjt",
	"actarchive"		=> "Arkistoi nimikkeet",
	"actupload"		=> "Upload tiedostot",
	
	// misc
	"miscitems"		=> "Nimikkeet",
	"miscfree"		=> "Vapaa",
	"miscusername"		=> "Kyttjnimi",
	"miscpassword"		=> "Salasana",
	"miscoldpass"		=> "Vanha salasana",
	"miscnewpass"		=> "Uusi salasana",
	"miscconfpass"		=> "Vahvista salasana",
	"miscconfnewpass"	=> "Vahvista uusi salasana",
	"miscchpass"		=> "Muuta salasana",
	"mischomedir"		=> "Kotihakemisto",
	"mischomeurl"		=> "Koti URL",
	"miscshowhidden"	=> "Nyt piilotetut nimikkeet",
	"mischidepattern"	=> "Piilota kuvio",
	"miscperms"		=> "Oikeudet",
	"miscuseritems"		=> "(nimi, kotihakemisto, nyt piilotetut nimikkeet, oikeudet, aktiivi)",
	"miscadduser"		=> "lis kyttj",
	"miscedituser"		=> "muokkaa kyttj '%s'",
	"miscactive"		=> "Aktiivi",
	"misclang"		=> "Kieli",
	"miscnoresult"		=> "Ei saatavia tuloksia.",
	"miscsubdirs"		=> "Etsi alahakemistoistaS",
	"miscpermnames"		=> array("Vain katselu","Muokkaa","Muuta salasana","Muokkaa & Muuta salasana",
					"Hallinta"),
	"miscyesno"		=> array("Kyll","Ei","Y","N"),
	"miscchmod"		=> array("Omistaja", "Ryhm", "Julkinen"),
	// from here all new by mic
	'miscowner'			=> 'Owner',
	'miscownerdesc'		=> '<strong>Description:</strong><br />User (UID) /<br />Group (GID)<br />Current rights:<br /><strong> %s ( %s ) </strong>/<br /><strong> %s ( %s )</strong>',

	// sysinfo (new by mic)
	'simamsysinfo'		=> $_VERSION->PRODUCT.' System Info',
	'sisysteminfo'		=> 'System Info',
	'sibuilton'			=> 'Operating System',
	'sidbversion'		=> 'Database Version (MySQL)',
	'siphpversion'		=> 'PHP Version',
	'siphpupdate'		=> 'INFORMATION: <span style="color: red;">The PHP version you use is <strong>not</strong> actual!</span><br />To guarantee all functions and features of '.$_VERSION->PRODUCT.' and addons,<br />you should use as minimum <strong>PHP.Version 4.3</strong>!',
	'siwebserver'		=> 'Webserver',
	'siwebsphpif'		=> 'WebServer - PHP Interface',
	'simamboversion'	=> $_VERSION->PRODUCT.' Version',
	'siuseragent'		=> 'Browser Version',
	'sirelevantsettings' => 'Important PHP Settings',
	'sisafemode'		=> 'Safe Mode',
	'sibasedir'			=> 'Open basedir',
	'sidisplayerrors'	=> 'PHP Errors',
	'sishortopentags'	=> 'Short Open Tags',
	'sifileuploads'		=> 'Datei Uploads',
	'simagicquotes'		=> 'Magic Quotes',
	'siregglobals'		=> 'Register Globals',
	'sioutputbuf'		=> 'Output Buffer',
	'sisesssavepath'	=> 'Session Savepath',
	'sisessautostart'	=> 'Session auto start',
	'sixmlenabled'		=> 'XML enabled',
	'sizlibenabled'		=> 'ZLIB enabled',
	'sidisabledfuncs'	=> 'Non enabled functions',
	'sieditor'			=> 'WYSIWYG Editor',
	'siconfigfile'		=> 'Config file',
	'siphpinfo'			=> 'PHP Info',
	'siphpinformation'	=> 'PHP Information',
	'sipermissions'		=> 'Permissions',
	'sidirperms'		=> 'Directory permissions',
	'sidirpermsmess'	=> 'To be shure that all functions and features of '.$_VERSION->PRODUCT.' are working correct, following folders should have permission to write [chmod 0777]',
	'sionoff'			=> array( 'On', 'Off' ),
	
	'extract_warning' => "Do you really want to extract this file? Here?\\nThis will overwrite existing files when not used carefully!",
	'extract_success' => "Extraction was successful",
	'extract_failure' => "Extraction failed"
);
?>
